ctl: Make max_luns and max_ports tunable variables instead of hardcoded defines.
ClosedPublic

Authored by manu on Oct 30 2017, 3:45 PM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
manu created this revision.Oct 30 2017, 3:45 PM
manu updated this revision to Diff 34459.Oct 30 2017, 4:05 PM

Bump .Dd

bcr accepted this revision.Oct 30 2017, 8:31 PM
bcr added a subscriber: bcr.

OK from manpages.

This revision is now accepted and ready to land.Oct 30 2017, 8:31 PM
bapt accepted this revision.Nov 3 2017, 12:13 PM
trasz added inline comments.Nov 3 2017, 12:47 PM
sys/cam/ctl/ctl.c
422 ↗(On Diff #34459)

Could you add read-only (CTL_RDTUN) sysctl-s for these two, to make it possible to easily check the current values?

1896 ↗(On Diff #34459)

Could you reword it to indicate what the valid value would be?

manu added inline comments.Nov 3 2017, 12:51 PM
sys/cam/ctl/ctl.c
422 ↗(On Diff #34459)

Yeah sure I'll do that.

1896 ↗(On Diff #34459)

Will do.

manu updated this revision to Diff 34850.Nov 6 2017, 10:25 AM

Address trasz@ comments.

This revision now requires review to proceed.Nov 6 2017, 10:25 AM
manu marked 4 inline comments as done.Nov 6 2017, 10:26 AM
trasz accepted this revision.Nov 6 2017, 6:01 PM
This revision is now accepted and ready to land.Nov 6 2017, 6:01 PM
manu updated this revision to Diff 34871.Nov 7 2017, 10:18 AM

Fix compilation when CTL_LEGACY_STATS is defined.

This revision now requires review to proceed.Nov 7 2017, 10:18 AM
Harbormaster completed remote builds in B12526: Diff 34871.
This revision was automatically updated to reflect the committed changes.
bjk added a subscriber: bjk.Nov 7 2017, 11:05 PM
bjk added inline comments.
head/share/man/man4/ctl.4
202

mdoc style is to start a new line after a sentence-ending full stop. So, something like

Specifies the maximum number of ports supported, which must be a power of 2.
The default value is 256

(similarly for line 200.)

wblock added a subscriber: wblock.Nov 18 2017, 5:09 PM

Please remember to update .Dd on commit. Thanks!

head/share/man/man4/ctl.4
195

s/The following/These/

200

"Specifies the" doesn't add anything and makes the reader search farther in the sentence for what this actually is.

Maximum number of LUNs supported.
Must be a power of 2.  Default 1024.
202

As above:

Maximum number of ports supported.
Must be a power of 2. Default 256.